{
 This unit and form were originally create by Neil J. Rubenking as part of
 ICONJACK (VERSION 1.0) Copyright (c) 1995, Ziff Davis Publishing Company
  ------------------------------------------------------------------------
             Neil J. Rubenking is Technical Editor of PC Magazine.
  ------------------------------------------------------------------------

    Modified 12/95:   by Dennis Passmore to eliminated need for VER.DLL
                                                                            }

unit Aboutbox;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Buttons, ExtCtrls;

type
  TAboutForm = class(TForm)
    LabelUserName: TLabel;
    LabelCompName: TLabel;
    LabelWinVer: TLabel;
    LabelDOSVer: TLabel;
    LabelWinMode: TLabel;
    ValueMemory: TLabel;
    ValueMathCo: TLabel;
    ValueFSRs: TLabel;
    Bevel3: TBevel;
    Image1: TImage;
    BitBtn1: TBitBtn;
    Bevel1: TBevel;
    ValueFGRs: TLabel;
    ValueFURs: TLabel;
    ValueCPUid: TLabel;
    procedure FormActivate(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  AboutForm: TAboutForm;

implementation
{$R *.DFM}
procedure TAboutForm.FormCreate(Sender: TObject);
VAR
  WinVer, WinFlags : LongInt;
  hInstUser : Word;
  Buffer    : ARRAY[0..30] OF Char;
  WinVerS   : String[4];
begin
  Image1.Picture.Graphic := Application.Icon;
  hInstUser := LoadLibrary('USER');
  FreeLibrary(hInstUser);
  LoadString(hInstUser, 514, Buffer, 30);
  LabelUserName.Caption := StrPas(Buffer);
  LoadString(hInstUser, 515, Buffer, 30);
  LabelCompName.Caption := StrPas(Buffer);
  WinVer := GetVersion;
  WinVerS := Format('%u.%.2u',
    [LoByte(LoWord(WinVer)), HiByte(LoWord(WinVer))]);
  LabelWinVer.Caption := 'Windows ' + WinVerS;
  LabelDosVer.Caption := Format('DOS %u.%.2u',
    [HiByte(HiWord(WinVer)), LoByte(HiWord(WinVer))]);
  WinFlags := GetWinFlags;
  IF WinFlags AND WF_ENHANCED > 0 THEN
    LabelWinMode.Caption := '386 Enhanced Mode'
  ELSE IF WinFlags AND WF_PMODE > 0 THEN
    LabelWinMode.Caption := 'Standard Mode'
  ELSE LabelWinMode.Caption := 'Real Mode';
  IF WinFlags AND WF_80x87 > 0 THEN
    ValueMathCo.Caption := 'Present'
  ELSE ValueMathCo.Caption := 'Absent';
  if WinFlags and WF_CPU286>0 then
     ValueCPUid.Caption := '80286'
  else
  if WinFlags and WF_CPU386>0 then
     ValueCPUid.Caption := '80386'
  else
  if WinFlags and WF_CPU486>0 then
     ValueCPUid.Caption := '80486 or better'
  else
     ValueCPUid.Caption := 'Must be good!';
END;

procedure TAboutForm.FormActivate(Sender: TObject);
var
  Fmt1, Fmt2, Fmt3 : Word;
begin
  Fmt1 := GetFreeSystemResources(GFSR_SYSTEMRESOURCES);
  Fmt2 := GetFreeSystemResources(GFSR_GDIRESOURCES);
  Fmt3 := GetFreeSystemResources(GFSR_USERRESOURCES);
  ValueFSRs.Caption := Format(' %d%% Free', [Fmt1]);
  ValueFGRs.Caption := Format(' %d%% Free', [Fmt2]);
  ValueFURs.Caption := Format(' %d%% Free', [Fmt3]);
  ValueMemory.Caption := FormatFloat(',#######',
    MemAvail DIV 1024) + ' KB Free';
end;


end.


